import { serialize } from "../utils/cookie.js";
export const createSessionCookiesFunction = (auth) => {
    const createSessionCookies = (session) => {
        return auth.configs.sessionCookieOptions.map((option) => {
            return serialize("auth_session", session.sessionId, {
                ...option,
                httpOnly: true,
                expires: new Date(session.idlePeriodExpires),
                secure: auth.configs.env === "PROD"
            });
        });
    };
    return createSessionCookies;
};
export const createBlankSessionCookiesFunction = (auth) => {
    const createBlankSessionCookies = () => {
        const options = [...auth.configs.sessionCookieOptions, ...auth.configs.deleteCookieOptions];
        return options.map((option) => {
            return serialize("auth_session", "", {
                ...option,
                httpOnly: true,
                maxAge: 0,
                secure: auth.configs.env === "PROD"
            });
        });
    };
    return createBlankSessionCookies;
};
